# SalesChannelAttributeValueConfig

## Retrieve a marketplace attribute value config

> Retrieves a specific row for given id

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeValueConfig":{"type":"object","properties":{"pk":{"type":"integer"},"attribute_set":{"type":"integer","description":"Associated marketplace attribute set id"},"attribute_value":{"type":"integer","description":"Associated marketplace attribute value id"},"created_date":{"type":"string","format":"date-time","description":"Creation date"},"modified_date":{"type":"string","format":"date-time","description":"Last modified date"}}}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_value_configs/{id}/":{"get":{"summary":"Retrieve a marketplace attribute value config","description":"Retrieves a specific row for given id","tags":["SalesChannelAttributeValueConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeValueConfig"}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Lists all of the marketplace attribute value config data

> Lists all of the records

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"marketplace_attribute_set":{"name":"attribute_set","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer"}}},"marketplace_attribute":{"name":"attribute","in":"query","required":false,"schema":{"type":"string"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}}},"schemas":{"MarketPlaceAttributeValueConfig":{"type":"object","properties":{"pk":{"type":"integer"},"attribute_set":{"type":"integer","description":"Associated marketplace attribute set id"},"attribute_value":{"type":"integer","description":"Associated marketplace attribute value id"},"created_date":{"type":"string","format":"date-time","description":"Creation date"},"modified_date":{"type":"string","format":"date-time","description":"Last modified date"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_value_configs/":{"get":{"summary":"Lists all of the marketplace attribute value config data","description":"Lists all of the records","tags":["SalesChannelAttributeValueConfig"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/marketplace_attribute_set"},{"$ref":"#/components/parameters/marketplace_attribute"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","properties":{"count":{"type":"integer","description":"Total number of items"},"next":{"type":"string","nullable":true,"description":"URL for next page"},"previous":{"type":"string","nullable":true,"description":"URL for previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeValueConfig"}}}}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelattributevalueconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
